Bug 176038 - No dict.conf defined
No dict.conf defined
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dictd (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-17 20:20 EST by Paul Dickson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 08:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Dickson 2005-12-17 20:20:40 EST
Description of problem:
The dict program complains "'dict.conf' doesn't specify any dict server".

Reverting to dictd-1.9.7-8.i386.rpm resolves the problem.

Version-Release number of selected component (if applicable):
dictd-1.9.15-3

How reproducible:
Always

Steps to Reproduce:
1. dict adequate
2.
3.
  
Actual results:
$ dict adequate
'dict.conf' doesn't specify any dict server


Expected results:
$ dict adequate
4 definitions found

From The Collaborative International Dictionary of English v.0.48 [gcide]:

  Adequate \Ad"e*quate\, a. [L. adaequatus, p. p. of adaequare to
     make equal to; ad + aequare to make equal, aequus equal. See
     {Equal}.]

[...etc]

Additional info:
Might need to include a default /etc/dict.conf for newer versions.
Comment 1 Karsten Hopp 2005-12-19 08:06:13 EST
We had a default /etc/dict.conf for some time, but we've never shipped any
dictionaries. This resulted in different errors. Therefore I've decided to leave
it up to the packagers of the dictionaries to polulate /etc/dict.conf.
See bug #135920 
Comment 2 Nalin Dahyabhai 2005-12-19 17:19:12 EST
The client's previous default behavior was to consult "dict.org" and
"alt0.dict.org" if no server was explicitly specified on its command line.
I don't know why this was changed upstream, but the previous default can be
restored by passing "--enable-dictorg" to the configure script.
Comment 3 Karsten Hopp 2005-12-20 05:33:02 EST
comment #2: you're right. I didn't notice this upstream change. dictd-1.9.15-4
will have this fix.

Note You need to log in before you can comment on or make changes to this bug.